For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • POSTSubmit a video generation request
      • GETPoll video generation status
      • GETDownload generated video content
      • GETList all video generation models
LogoLogo
ModelsChatRankingsDocs
API ReferenceVideo Generation

Download generated video content

GET
https://openrouter.ai/api/v1/videos/:jobId/content
GET
/api/v1/videos/:jobId/content
$curl https://openrouter.ai/api/v1/videos/job-abc123/content \
> -H "Authorization: Bearer <token>"
Streams the generated video content from the upstream provider
Was this page helpful?
Previous

List all video generation models

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

jobIdstringRequired>=1 character

Query parameters

indexintegerOptional>=0Defaults to 0

Response

Video content stream

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
502
Bad Gateway Error